Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Enum ConcurrencyManagementTypeType

    java.lang.Object
      java.lang.Enum<ConcurrencyManagementTypeType>
          org.jboss.shrinkwrap.descriptor.api.ejbjar31.ConcurrencyManagementTypeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ConcurrencyManagementTypeType>

    public enum ConcurrencyManagementTypeType

extends java.lang.Enum<ConcurrencyManagementTypeType>

This class implements the `concurrency-management-typeType` xsd type

Original Documentation:

The concurrency-management-typeType specifies the way concurrency
is managed for a singleton or stateful session bean.
The concurrency management type must be one of the following:
Bean
Container
Bean managed concurrency can only be specified for a singleton bean.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_BEAN`
`_CONTAINER`

Method Summary
`static ConcurrencyManagementTypeType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static ConcurrencyManagementTypeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConcurrencyManagementTypeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _BEAN

    public static final ConcurrencyManagementTypeType _BEAN

### _CONTAINER

    public static final ConcurrencyManagementTypeType _CONTAINER

Method Detail

### values

    public static ConcurrencyManagementTypeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConcurrencyManagementTypeType c : ConcurrencyManagementTypeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ConcurrencyManagementTypeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ConcurrencyManagementTypeType>`

### getFromStringValue

    public static ConcurrencyManagementTypeType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD